<template >
 

    <div align="center">

        <v-toolbar style="box-shadow:none !important">
            <v-toolbar-title>
            </v-toolbar-title>
            
            <v-checkbox
              v-model="checkedServer"
              style="margin-top:20px;margin-left:15px"
              label="GEMS"
              value="GEMS"
              disabled
              readonly
            ></v-checkbox>

            <v-spacer></v-spacer> 

            <div style="margin-right:10px;cursor:pointer" v-on:click="listdraft()">
            
              <v-badge left style="margin-right:20px">
                  <template v-slot:badge>
                    <span style="margin-bottom:3px"><v-icon dark>mdi-basket-outline</v-icon></span>
                  </template>
                  <span style="font-size:15px" to="/listRegister">{{totalDraft}} Draft</span>
              </v-badge>

              <v-btn depressed rounded color="primary" to="/listRegister">Item Registration List</v-btn>&nbsp;
                              
            </div>                
        </v-toolbar>

        <div align="center" style="width:50%;margin-top:90px">
              <v-img
                alt="Vuetify Name"
                class="shrink mt-1 hidden-sm-and-down"
                contain
                min-width="100"
                src="../../assets/logo-em2.png"
                width="170"
              />
              <br>
              <v-text-field style="font-size:16px"
                large
                rounded
                label="Solo"                         
                placeholder="Ketikan Item Name / Item Description / Part Number / Collaquial Name"
                solo
                height="60"
                v-model="search"
                append-icon="search"
                v-on:keyup.enter="searchMaterial()"
              ></v-text-field>
              
              <v-progress-circular
                :width="3"
                color="primary"
                indeterminate
                v-if="loading"
              ></v-progress-circular>
               
        </div>
        
        <div style="width:95%;margin-bottom:80px" v-if="container" align="left">
            <div align="left">
                <v-card>
                  <div style="padding:15px 15px 0px 15px;font-size:18px">
                    Hasil Pencarian Item <b>{{reskey}}</b><br><br>
                  </div>

                    <template>
                      <div v-if="result==''" align="center" style="padding:30px">
                          Data tidak ditemukan
                      </div>
                      <v-simple-table v-if="result!=''">
                        <template v-slot:default>
                          <thead>
                            <tr>
                              <th class="text-left">Server Name</th>
                              <th class="text-left">Material Number</th>
                              <th class="text-left">INC Code</th>
                              <th class="text-left">Description</th>
                              <th class="text-left">Additional Info</th>
                              <th class="text-left">Colloquial Name</th>
                              <th class="text-left">Brand</th>
                              <th class="text-left">Part Number</th>
                              <th class="text-left">Company</th>
                              <th>Action</th>
                            </tr>
                          </thead> 
                          <tbody>
                            <tr v-for="item in result" v-bind:key="item.id">
                              <td>{{item.SERVER_CODE}}</td>
                              <td>{{item.MATERIAL_NUMBER}}</td>
                              <td>{{item.INC}}</td>
                              <td>{{item.DESCRIPTION}}</td>
                              <td class="text-left">{{item.ADDITIONAL_INFORMATION}}</td>
                              <td>{{item.COLLAQUAL_NAME}}</td>
                              <td class="text-left">{{item.BRAND}}</td>
                              <td class="text-left">{{item.PART_NO}}</td>
                              <td v-if="item.COMPANY" style="width:200px">
                                  <v-tooltip bottom>
                                    <template v-slot:activator="{ on }">
                                      <span style="cursor:pointer" text small v-on="on" >
                                        {{item.COMPANY.substring(0,40)+"..."}}
                                      </span>
                                    </template>
                                    <div style="width:180px">{{item.COMPANY}}</div>
                                  </v-tooltip>
                              </td>
                              <td v-if="!item.COMPANY">
                                Tidak ada perusahaan di material ini
                              </td>

                              <td v-if="item.COMPANY">
                                  <v-btn v-if="item.COMPANY.includes(company_name)==false" rounded small color="success" v-on:click="extended(item.MATERIAL_NUMBER)">
                                    <span style="font-uppercase:normal">Reg</span>
                                  </v-btn>

                                  <v-btn v-if="item.COMPANY.includes(company_name)==true" rounded disabled small color="success" to='/addRegister'>
                                    <span>Available</span>
                                  </v-btn>  
                              </td>

                              <td v-if="!item.COMPANY">
                                Tidak ada perusahaan di material ini
                              </td>
                            </tr>
                          </tbody>
                        </template>
                      </v-simple-table>
                    </template>
                  </v-card>
            </div>

            <div align="right" style="padding-top:20px">              
                <router-link to='/addRegister'>
                    <v-btn rounded large color="primary" retain-focus-on-click="true">
                      <span class="mr-2">Register New Item</span>
                    </v-btn>
                </router-link>
            </div>
        </div>
    </div>
    
</template>


<script>
export default {
    methods: {
        searchMaterial(){      
            var self = this;
            var val = this.search;
            var url = this.base_url + 'search/initial_material';
            var arrserver = self.checkedServer;
            var server = "";
            
            for(var a=0; a<arrserver.length; a++){
                server += ",'"+arrserver[a]+"'";
            }

            server = server.substr(1)
            self.reskey = val;        
            
            if(arrserver.length < 1){
                server = "'NONE'";
            }

            if(val){
              self.loading = true;
              self.container = false;

              this.axios.post(url , {
                  param : val,
                  server : server
              })
              .then(function (response) {
                  self.result = response.data;
                  self.loading = false;
                  self.container = true;
              })
              .catch(function (error) {
                  self.result = error;
                  self.loading = false;
                  self.container = true;
              });
            }
        },
        extended(id){
            this.$router.push({path: '/addRegister/extended/'+id});
        },
        listdraft(){
            this.$router.push({path: '/listRegister/draft'});
        },
        check: function() {
          console(this.checkedServer)
        },
        getTotalDraft(){
          var self = this;
          var url  = self.base_url + "material/count";
          this.axios.post(url , {
              user_id : self.storage_user_id,
              status : 'DRAFT'
          })
          .then(function (response) {
              self.totalDraft = response.data[0].total;
          });
      }
    },
    mounted(){
      this.getTotalDraft();
    },
    data () { 
      return {
        checkedServer: ['GEMS','BKES','BCE'],
        loading:false,
        search:"",
        reskey:"",
        company_name: "PT. BARASENTOSA LESTARI",
        name : "Registration",
        title : "Search Material",
        dialog: false,
        sound: true,
        widgets: false,
        container:false,
        selected: [],
        totalDraft:0,
        result: [],

        //storage.....................................
        storage_user_id : localStorage.getItem("user_id"),
        storage_username : localStorage.getItem("username"),
        storage_fullname : localStorage.getItem("fullname"),
        storage_company_id : localStorage.getItem("company_id"),
        storage_company_name : localStorage.getItem("company_name"),
        storage_role : localStorage.getItem("fullname")
      }
    }
  }
</script>
